/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controladores;

import interfaces.IControladorLogin;
import java.awt.event.ActionEvent;
import javax.swing.JOptionPane;
import modelos.ConexionMySQL;
import modelos.ConexionSQLServer;
import modelos.ModeloComboMotor;
import modelos.Motor;
import vistas.VentanaLogin;

public class ControladorLogin implements IControladorLogin {
    private VentanaLogin ventana;

    /**
     * Constructor
     * Muestra la ventana de login
     */
    public ControladorLogin() {
        this.ventana = new VentanaLogin(this);
        this.ventana.setLocationRelativeTo(null);
        this.ventana.setVisible(true);
    }

    /**
     * Acción a ejecutar cuando se selecciona el botón Clic
     * @param evt evento
     */                            
    @Override
    public void btnAceptarClic(ActionEvent evt) {
        String usuario = this.ventana.verCampoUsuario().getText().trim();
        String clave = new String(this.ventana.verCampoClave().getPassword()).trim();
        Motor motor = ((ModeloComboMotor)this.ventana.verComboMotor().getModel()).obtenerMotor();
        String servidor = this.ventana.verCampoServidor().getText().trim();
        String puerto = this.ventana.verCampoPuerto().getText().trim();
        
        String bd = "Agenda";
        
        try {
            switch(motor) {
                case MYSQL: 
                    ConexionMySQL.crear(servidor, puerto, bd, usuario, clave);
                    break;
                case SQLSERVER: 
                    ConexionSQLServer.crear(servidor, puerto, bd, usuario, clave);
                    break;
            } 
            ControladorPersonas.crear();
        }
        catch (Exception cnfe) {
            String mensajeError = "Error de conexión\n" + "Servidor: " + servidor + "\nPuerto: " + puerto + "\nBD: " + bd + "\nUsuario: " + usuario;
            JOptionPane.showMessageDialog(null, mensajeError, TITULO_APLICACION, JOptionPane.ERROR_MESSAGE);        
        }                 
    }
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Cancelar
     * @param evt evento
     */                            
    @Override
    public void btnCancelarClic(ActionEvent evt) {
        int opcion = JOptionPane.showOptionDialog(null, MENSAJE_CIERRE, TITULO_VENTANA_CONFIRMACION, JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE, null, null, this);
        if (opcion == JOptionPane.YES_OPTION) {
            this.ventana.dispose();
            System.exit(0);
        }       
    }
        
    public static void main(String[] args) {
        IControladorLogin controlador = new ControladorLogin();
    }    
}
