/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package interfaces;

import java.awt.event.ActionEvent;
import java.awt.event.FocusEvent;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;

/**
 * Interfaz para el controlador de VentanaPersonas
 */
public interface IControladorPersonas {
    public static final String CONFIRMACION_BORRADO_PERSONA = "¿Desea borrar la persona especificada?";
    public static final String PERSONA_SIN_SELECCIONAR = "Elija una persona";    
    public static final String TELEFONO_SIN_SELECCIONAR = "Elija un teléfono";    
    public static final String CONFIRMACION_BORRADO_TELEFONO = "¿Desea borrar el teléfono especificado?";
    
    /**
     * Acción a ejecutar cuando se hace clic en la tabla Personas
     * Si se selecciona una persona, se muestran sus datos en los campos de texto y sus teléfonos
     * @param evt evento
     */                                    
    void tablaPersonasClic(MouseEvent evt);
        
    /**
     * Acción a ejecutar cuando se selecciona el botón Nueva Persona
     * @param evt evento
     */                                
    void btnNuevaPersonaClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Borrar Persona
     * @param evt evento
     */                                
    void btnBorrarPersonaClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Guardar
     * @param evt evento
     */                                
    void btnGuardarClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Nuevo Teléfono
     * @param evt evento
     */                                
    void btnNuevoTelClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Modificar Teléfono
     * @param evt evento
     */                                
    void btnModificarTelClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Borrar Teléfono
     * @param evt evento
     */                                
    void btnBorrarTelClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Salir
     * @param evt evento
     */                                
    void btnSalirClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Buscar
     * @param evt evento
     */                                
    void btnBuscarClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se presiona una tecla en el campo txtBusca
     * @param evt evento
     */                                    
    void txtBuscaPresionarTecla(KeyEvent evt);
    
    /**
     * Acción a ejecutar cuando el campo de texto txtBusca gana el foco
     * @param evt evento
     */                                        
    void txtBuscaGanaFoco(FocusEvent evt);
    
    /**
     * Acción a ejecutar cuando el campo de texto txtCorreo gana el foco
     * @param evt evento
     */                                            
    void txtCorreoGanaFoco(FocusEvent evt);
    
    /**
     * Acción a ejecutar cuando el campo de texto txtDireccion gana el foco
     * @param evt evento
     */                                                
    void txtDireccionGanaFoco(FocusEvent evt);
    
    /**
     * Acción a ejecutar cuando el campo de texto txtNombres gana el foco
     * @param evt evento
     */                                                    
    void txtNombresGanaFoco(FocusEvent evt);
    
    /**
     * Acción a ejecutar cuando el campo de texto txtApellidos gana el foco
     * @param evt evento
     */                                                        
    void txtApellidosGanaFoco(FocusEvent evt);
       
    /**
     * Acción a ejecutar cuando se selecciona el botón Cumples
     * @param evt evento
     */                                        
    void btnCumplesClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Listado
     * @param evt evento
     */                                
    void btnListadoClic(ActionEvent evt);
}
