/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modelos;

import java.sql.Connection;

/**
 * Clase que agrupa los distintos tipos de conexiones
*/       
public abstract class Conexion {
    private static Connection connection;
    //es estática para poder recuperarla desde cualquier lugar
    private String url;
    private String driver;    
    
    /**
     * Constructor
     * @param url url para realizar la conexión
     * @param driver driver para realizar la conexión
     * @throws Exception en caso de no poder cargar el driver en memoria
    */
    public Conexion(String url, String driver) throws Exception {
        this.url = url;
        this.driver = driver;     
        Class.forName(this.verDriver()); //carga el driver en memoria
    }
      
    /**
     * Devuelve el objeto Connection asociado a la conexión
     * @return Connection
    */                                                                
    public static Connection verConnection() {
        return connection;
    }
    
    /**
     * Asigna el objeto Connection de la conexión
     * @param cnn objeto Connection de la conexión
    */                        
    public static final void asignarConnection(Connection cnn) {
        connection = cnn;
    }    
    
    /**
     * Devuelve la URL de la conexión
     * @return String URL de la conexión
    */            
    public String verURL() {
        return this.url;
    }

    /**
     * Devuelve el driver de la conexión
     * @return String driver de la conexión
    */                
    public String verDriver() {
        return this.driver;
    }
    
}
