/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modelos;

import interfaces.IGestorPersonas;
import java.util.ArrayList;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 * Clase para mostrar en una tabla el calendario de cumpleaños
 */
public class ModeloTablaCalendario extends AbstractTableModel {
    private List<String> nombresColumnas = new ArrayList<>();           
    //colección para guardar los nombres de las columnas

    private StringBuilder[][] matrizCalendario = new StringBuilder[31][13];


    /**
     * Constructor
    */                                                        
    public ModeloTablaCalendario() {
        this.nombresColumnas.add("Día");
        this.nombresColumnas.add("Enero");        
        this.nombresColumnas.add("Febrero");        
        this.nombresColumnas.add("Marzo");        
        this.nombresColumnas.add("Abril");        
        this.nombresColumnas.add("Mayo");        
        this.nombresColumnas.add("Junio");        
        this.nombresColumnas.add("Julio");        
        this.nombresColumnas.add("Agosto");        
        this.nombresColumnas.add("Setiembre");        
        this.nombresColumnas.add("Octubre");        
        this.nombresColumnas.add("Noviembre");        
        this.nombresColumnas.add("Diciembre");  
        
        IGestorPersonas gp = GestorPersonas.crear();

        for(int i = 1; i <= 31; i++) {
            matrizCalendario[i - 1][0] = new StringBuilder(Integer.toString(i));
            for(int j = 2; j <= 13; j++)
                matrizCalendario[i - 1][j - 1] = new StringBuilder();
        }
        List<String> calendario = gp.calendario();
        if (calendario != null) {
            for(String entradaCalendario : calendario) {
                String[] datosCalendario = entradaCalendario.split("/");
                int dia = Integer.parseInt(datosCalendario[0]);
                int mes = Integer.parseInt(datosCalendario[1]);
                String nombre = datosCalendario[2];
                if (matrizCalendario[dia - 1][mes].length() == 0)
                    matrizCalendario[dia - 1][mes] = new StringBuilder(nombre);
                else
                    matrizCalendario[dia - 1][mes].append(" - ").append(nombre);
            }
        }            
    }         

    /**
    * Obtiene el valor de la celda especificada
    * @param fila fila de la celda
    * @param columna columna de la celda
    * @return Object  - valor de la celda
    */                        
    @Override
    public Object getValueAt(int fila, int columna) {
        return this.matrizCalendario[fila][columna].toString();
    }

    /**
    * Obtiene la cantidad de columnas de la tabla
    * @return int  - cantidad de columnas de la tabla
    */                            
    @Override
    public int getColumnCount() { 
        return this.nombresColumnas.size();
    }

    /**
    * Obtiene la cantidad de filas de la tabla
    * @return int  - cantidad de filas de la tabla
    */                        
    @Override
    public int getRowCount() { 
        return 31;
    }

    /**
    * Obtiene el nombre de una columna
    * @param columna columna sobre la que se quiere obtener el nombre
    * @return String  - nombre de la columna especificada
    */                        
    @Override
    public String getColumnName(int columna) {
        return this.nombresColumnas.get(columna);
    }

    /**
    * Obtiene el tipo de datos de una columna
    * @param columna columna sobre la que se quiere obtener el tipo de datos
    * @return Class  - clase de la columna especificada
    */                    
    @Override
    public Class getColumnClass(int columna) {
        return String.class;
    } 
}
