package modelos;

public class Telefono {
    private int idPersona;
    private int idTelefono;
    private TipoTelefono tipo;
    private String numero;
    
    /**    
    * Constructor
    * @param idPersona identificador de la Persona
    * @param idTelefono identificador del Telefono
    * @param tipoTelefono tipo de teléfono
    * @param numero número de teléfono
    */                                        
    public Telefono(int idPersona, int idTelefono, TipoTelefono tipoTelefono, String numero) {
        this.idPersona = idPersona;
        this.idTelefono = idTelefono;
        this.tipo = tipoTelefono;
        this.numero = numero;
        
    }

    /**    
    * Devuelve el identificador de la persona
    * @return int  - identificador de la persona
    */                                        
    public int verIDPersona() {
        return this.idPersona;
    }
    
    /**    
    * Devuelve el identificador del teléfono
    * @return int  - identificador del teléfono
    */                                        
    public int verIDTelefono() {
        return this.idTelefono;
    }
    
    /**    
    * Devuelve el tipo de teléfono como cadena
    * @return String  - tipo de teléfono
    */                                            
    public String verTipo() {
        return this.tipo.toString();
    }
    
    /**    
    * Devuelve el tipo de teléfono
    * @return TipoTelefono  - tipo de teléfono
    */                                                
    public TipoTelefono obtenerTipo() {
        return this.tipo;
    }    
    
    /**    
    * Devuelve el número de teléfono
    * @return String  - número de teléfono
    */                                                
    public String verNumero() {
        return this.numero;
    }
}
