/*
 * Telefonos.java
 *
 * Created on 19 de abril de 2006, 18:30
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package prueba;

public class Telefono {
    public int idTelefono;
    public int idPersona;    
    public TipoTelefono tipo;
    public String numero;
    
    /**    
    * Constructor
    * @param idTelefono identificador del Telefono
    * @param idPersona identificador de la Persona
    * @param tipoTelefono tipo de teléfono
    * @param numero número de teléfono
    */                                        
    public Telefono(int idTelefono, int idPersona, TipoTelefono tipoTelefono, String numero) {
        this.idTelefono = idTelefono;
        this.idPersona = idPersona;        
        this.tipo = tipoTelefono;
        this.numero = numero;        
    }

    /**    
    * Devuelve el identificador de la persona
    * @return int  - identificador de la persona
    */                                        
    public int verIDPersona() {
        return this.idPersona;
    }
    
    /**    
    * Devuelve el identificador del teléfono
    * @return int  - identificador del teléfono
    */                                        
    public int verIDTelefono() {
        return this.idTelefono;
    }
    
    /**    
    * Devuelve el tipo de teléfono
    * @return TipoTelefono  - tipo de teléfono
    */                                                
    public TipoTelefono obtenerTipo() {
        return this.tipo;
    }    
    
    /**    
    * Devuelve el número de teléfono
    * @return String  - número de teléfono
    */                                                
    public String verNumero() {
        return this.numero;
    }      

    /**
     * Obtiene el hashcode del objeto teniendo en cuenta idTelefono
     * @return int  - hashcode del objeto
     */    
    @Override
    public int hashCode() {
        int hash = 3;
        hash = 13 * hash + this.idTelefono;
        return hash;
    }

    /**
     * Determina si 2 teléfonos son iguales según idTelefono
     * @param obj objeto Telefono
     * @return boolean  - resultado de comparar si 2 teléfonos son iguales
     */    
    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Telefono other = (Telefono) obj;
        if (this.idTelefono != other.idTelefono) {
            return false;
        }
        return true;
    }
    
    public void mostrar() {
        System.out.println("\tTipo: " + this.tipo);
        System.out.println("\tNúmero: " + this.numero);
    }
}
