package reportes;

import java.sql.Connection;
import java.util.HashMap;
import javax.swing.JOptionPane;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.view.JasperViewer;

public class PreImpresion {
    private String archivo;
    private Connection connection;
    private HashMap parametros;
    
    /**
     * Constructor
     * @param archivo archivo con el diseño del reporte
     * @param connection objeto Connection
     * @param parametros parámetros para mostrar el reporte (no usado en este caso)
     */
    public PreImpresion(String archivo, Connection connection, HashMap<String, Object> parametros) {
        this.archivo = archivo;
        this.connection = connection;
        this.parametros = parametros;
    }
    
    public void mostrar() {
        try {
//        Preparacion del reporte (en esta etapa se inserta el valor del query en el reporte).
            JasperPrint jasperPrint = (JasperPrint)JasperFillManager.fillReport(this.archivo, null, connection);
            JasperViewer.viewReport(jasperPrint, false);
        } catch (Exception e) {
            JOptionPane.showMessageDialog(null, e.getMessage());            
        }
    }    
}
