/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package vistas;

import interfaces.IControladorPersonas;
import com.toedter.calendar.JDateChooser;
import javax.swing.JFrame;
import javax.swing.JTable;
import javax.swing.JTextField;


public class VentanaPersonas extends JFrame {
    private IControladorPersonas controlador;

    /**
     * Constructor
     * @param controlador controlador de la ventana
     */
    public VentanaPersonas(IControladorPersonas controlador) {
        initComponents();
        this.controlador = controlador;
    }
    
    /**
     * Devuelve la tabla de personas
     * @return JTable  - tabla de personas
     */
    public JTable verTablaPersonas() {
        return this.tablaPersonas;
    }
    
    /**
     * Devuelve la tabla de teléfonos
     * @return JTable  - tabla de teléfonos
     */    
    public JTable verTablaTelefonos() {
        return this.tablaTelefonos;
    }
    
    /**
     * Devuelve el campo de texto txtApellidos
     * @return JTextField  - campo de texto txtApellidos
     */
    public JTextField verCampoApellidos() {
        return this.txtApellidos;
    }
       
    /**
     * Devuelve el campo de texto txtNombres
     * @return JTextField  - campo de texto txtNombres
     */    
    public JTextField verCampoNombres() {
        return this.txtNombres;
    }    
    
    /**
     * Devuelve el JDateChooser dFechaNacimiento
     * @return JDateChooser  - DateChooser dFechaNacimiento
     */
    public JDateChooser verFechaNacimiento() {
        return this.dFechaNacimiento;
    }    
    
    /**
     * Devuelve el campo de texto txtDireccion
     * @return JTextField  - campo de texto txtDireccion
     */    
    public JTextField verCampoDireccion() {
        return this.txtDireccion;
    }    
    
    /**
     * Devuelve el campo de texto txtCorreo
     * @return JTextField  - campo de texto txtCorreo
     */    
    public JTextField verCampoCorreo() {
        return this.txtCorreo;
    }    
    
    /**
     * Devuelve el campo de texto txtBusca
     * @return JTextField  - campo de texto txtBusca
     */    
    public JTextField verCampoBusca() {
        return this.txtBusca;
    }       
    
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        pRegistro = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        txtApellidos = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        txtNombres = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        dFechaNacimiento = new com.toedter.calendar.JDateChooser();
        jLabel4 = new javax.swing.JLabel();
        txtDireccion = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        txtCorreo = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tablaTelefonos = new javax.swing.JTable();
        bNuevoTel = new javax.swing.JButton();
        bModificarTel = new javax.swing.JButton();
        bBorrarTel = new javax.swing.JButton();
        txtBusca = new javax.swing.JTextField();
        bBusca = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        tablaPersonas = new javax.swing.JTable();
        pBotones = new javax.swing.JPanel();
        bNuevaPersona = new javax.swing.JButton();
        bGuardarPersona = new javax.swing.JButton();
        bListado = new javax.swing.JButton();
        bCumples = new javax.swing.JButton();
        bSalir = new javax.swing.JButton();
        bBorrarPersona = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Agenda");
        setResizable(false);

        jLabel1.setFont(new java.awt.Font("Ubuntu", 1, 15)); // NOI18N
        jLabel1.setText("Apellidos:");

        txtApellidos.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                txtApellidosGanaFoco(evt);
            }
        });

        jLabel2.setFont(new java.awt.Font("Ubuntu", 1, 15)); // NOI18N
        jLabel2.setText("Nombres:");

        txtNombres.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                txtNombresGanaFoco(evt);
            }
        });

        jLabel3.setFont(new java.awt.Font("Ubuntu", 1, 15)); // NOI18N
        jLabel3.setText("Fecha Nacim.:");

        jLabel4.setFont(new java.awt.Font("Ubuntu", 1, 15)); // NOI18N
        jLabel4.setText("Dirección:");

        txtDireccion.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                txtDireccionGanaFoco(evt);
            }
        });

        jLabel5.setFont(new java.awt.Font("Ubuntu", 1, 15)); // NOI18N
        jLabel5.setText("Correo:");

        txtCorreo.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                txtCorreoGanaFoco(evt);
            }
        });

        jLabel6.setFont(new java.awt.Font("Ubuntu", 1, 15)); // NOI18N
        jLabel6.setText("Teléfonos");

        tablaTelefonos.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        tablaTelefonos.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_ALL_COLUMNS);
        tablaTelefonos.setFocusable(false);
        jScrollPane1.setViewportView(tablaTelefonos);

        bNuevoTel.setText("Nuevo");
        bNuevoTel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoTelClic(evt);
            }
        });

        bModificarTel.setText("Modificar");
        bModificarTel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnModificarTelClic(evt);
            }
        });

        bBorrarTel.setText("Borrar");
        bBorrarTel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBorrarTelClic(evt);
            }
        });

        txtBusca.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                txtBuscaGanaFoco(evt);
            }
        });
        txtBusca.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                txtBuscaKeyPressed(evt);
            }
        });

        bBusca.setText("Buscar");
        bBusca.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBuscaClic(evt);
            }
        });

        tablaPersonas.setBorder(null);
        tablaPersonas.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        tablaPersonas.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                tablaPersonasClic(evt);
            }
        });
        jScrollPane2.setViewportView(tablaPersonas);

        javax.swing.GroupLayout pRegistroLayout = new javax.swing.GroupLayout(pRegistro);
        pRegistro.setLayout(pRegistroLayout);
        pRegistroLayout.setHorizontalGroup(
            pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pRegistroLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(pRegistroLayout.createSequentialGroup()
                        .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel2))
                        .addGap(47, 47, 47)
                        .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(txtNombres)
                            .addComponent(txtApellidos)))
                    .addGroup(pRegistroLayout.createSequentialGroup()
                        .addComponent(jLabel6)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(pRegistroLayout.createSequentialGroup()
                        .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel3)
                            .addComponent(jLabel4)
                            .addComponent(jLabel5))
                        .addGap(18, 18, 18)
                        .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(dFechaNacimiento, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(txtDireccion)
                            .addComponent(txtCorreo)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, pRegistroLayout.createSequentialGroup()
                        .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jScrollPane2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                            .addComponent(txtBusca)
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE))
                        .addGap(18, 18, 18)
                        .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(bNuevoTel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(bModificarTel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(bBorrarTel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(bBusca, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
                .addContainerGap())
        );
        pRegistroLayout.setVerticalGroup(
            pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pRegistroLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(txtApellidos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(txtNombres, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(dFechaNacimiento, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtDireccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtCorreo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel5))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(pRegistroLayout.createSequentialGroup()
                        .addComponent(bNuevoTel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bModificarTel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bBorrarTel))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 134, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(pRegistroLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtBusca, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bBusca))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 127, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(24, Short.MAX_VALUE))
        );

        bNuevaPersona.setText("Nueva");
        bNuevaPersona.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevaPersonaClic(evt);
            }
        });

        bGuardarPersona.setText("Guardar");
        bGuardarPersona.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarPersonaClic(evt);
            }
        });

        bListado.setText("Listado");
        bListado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnListadoClic(evt);
            }
        });

        bCumples.setText("Cumples");
        bCumples.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCumplesClic(evt);
            }
        });

        bSalir.setText("Salir");
        bSalir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSalirClic(evt);
            }
        });

        bBorrarPersona.setText("Borrar");
        bBorrarPersona.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBorrarPersonaClic(evt);
            }
        });

        javax.swing.GroupLayout pBotonesLayout = new javax.swing.GroupLayout(pBotones);
        pBotones.setLayout(pBotonesLayout);
        pBotonesLayout.setHorizontalGroup(
            pBotonesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pBotonesLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(bNuevaPersona)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bGuardarPersona)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bBorrarPersona)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bListado)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bCumples)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bSalir)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        pBotonesLayout.setVerticalGroup(
            pBotonesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pBotonesLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(pBotonesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bNuevaPersona)
                    .addComponent(bGuardarPersona)
                    .addComponent(bListado)
                    .addComponent(bCumples)
                    .addComponent(bSalir)
                    .addComponent(bBorrarPersona))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(pRegistro, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(pBotones, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(pRegistro, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(pBotones, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnBorrarTelClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBorrarTelClic
        this.controlador.btnBorrarTelClic(evt);
    }//GEN-LAST:event_btnBorrarTelClic

    private void txtBuscaGanaFoco(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_txtBuscaGanaFoco
        this.controlador.txtBuscaGanaFoco(evt);
    }//GEN-LAST:event_txtBuscaGanaFoco

    private void txtBuscaKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtBuscaKeyPressed
        this.controlador.txtBuscaPresionarTecla(evt);
    }//GEN-LAST:event_txtBuscaKeyPressed

    private void txtCorreoGanaFoco(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_txtCorreoGanaFoco
        this.controlador.txtCorreoGanaFoco(evt);
    }//GEN-LAST:event_txtCorreoGanaFoco

    private void txtDireccionGanaFoco(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_txtDireccionGanaFoco
        this.controlador.txtDireccionGanaFoco(evt);        
    }//GEN-LAST:event_txtDireccionGanaFoco

    private void txtNombresGanaFoco(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_txtNombresGanaFoco
        this.controlador.txtNombresGanaFoco(evt);        
    }//GEN-LAST:event_txtNombresGanaFoco

    private void btnModificarTelClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnModificarTelClic
        this.controlador.btnModificarTelClic(evt);
    }//GEN-LAST:event_btnModificarTelClic

    private void btnCumplesClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCumplesClic
        this.controlador.btnCumplesClic(evt);
    }//GEN-LAST:event_btnCumplesClic

    private void btnListadoClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnListadoClic
        this.controlador.btnListadoClic(evt);
    }//GEN-LAST:event_btnListadoClic

    private void btnSalirClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSalirClic
        this.controlador.btnSalirClic(evt);
    }//GEN-LAST:event_btnSalirClic

    private void btnBorrarPersonaClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBorrarPersonaClic
        this.controlador.btnBorrarPersonaClic(evt);
    }//GEN-LAST:event_btnBorrarPersonaClic

    private void btnBuscaClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBuscaClic
        this.controlador.btnBuscarClic(evt);
    }//GEN-LAST:event_btnBuscaClic

    private void btnGuardarPersonaClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarPersonaClic
        this.controlador.btnGuardarClic(evt);
    }//GEN-LAST:event_btnGuardarPersonaClic

    private void tablaPersonasClic(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tablaPersonasClic
        this.controlador.tablaPersonasClic(evt);
    }//GEN-LAST:event_tablaPersonasClic

    private void btnNuevaPersonaClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevaPersonaClic
        this.controlador.btnNuevaPersonaClic(evt);
    }//GEN-LAST:event_btnNuevaPersonaClic

    private void txtApellidosGanaFoco(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_txtApellidosGanaFoco
        this.controlador.txtApellidosGanaFoco(evt);
    }//GEN-LAST:event_txtApellidosGanaFoco

    private void btnNuevoTelClic(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoTelClic
        this.controlador.btnNuevoTelClic(evt);
    }//GEN-LAST:event_btnNuevoTelClic
    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton bBorrarPersona;
    private javax.swing.JButton bBorrarTel;
    private javax.swing.JButton bBusca;
    private javax.swing.JButton bCumples;
    private javax.swing.JButton bGuardarPersona;
    private javax.swing.JButton bListado;
    private javax.swing.JButton bModificarTel;
    private javax.swing.JButton bNuevaPersona;
    private javax.swing.JButton bNuevoTel;
    private javax.swing.JButton bSalir;
    private com.toedter.calendar.JDateChooser dFechaNacimiento;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JPanel pBotones;
    private javax.swing.JPanel pRegistro;
    private javax.swing.JTable tablaPersonas;
    private javax.swing.JTable tablaTelefonos;
    private javax.swing.JTextField txtApellidos;
    private javax.swing.JTextField txtBusca;
    private javax.swing.JTextField txtCorreo;
    private javax.swing.JTextField txtDireccion;
    private javax.swing.JTextField txtNombres;
    // End of variables declaration//GEN-END:variables
}
